"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _buoyText = require("buoy-text");

var _buoyTheme = require("buoy-theme");

var _buoyConfig = require("buoy-config");

var _dist = require("react-intl/dist");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var date = new Date();
var currentYear = date.getFullYear();
var LegalLinks = (0, _styledComponents2["default"])(_buoyText.Paragraph).withConfig({
  displayName: "Copyright__LegalLinks",
  componentId: "sc-47tzgw-0"
})(["", " margin:14px 0 0 0;"], (0, _buoyTheme.fontSize)("bodySmall"));

var CopyRight = _styledComponents2["default"].span.withConfig({
  displayName: "Copyright__CopyRight",
  componentId: "sc-47tzgw-1"
})(["", ";"], (0, _buoyTheme.responsive)("margin-right", "60px", "60px", "60px", "60px", "20px"));

var StyledLink = (0, _styledComponents2["default"])(_buoyText.Link).withConfig({
  displayName: "Copyright__StyledLink",
  componentId: "sc-47tzgw-2"
})(["", " ", ";&:hover{color:", ";}"], (0, _buoyTheme.fontSize)("bodySmall"), (0, _buoyTheme.responsive)("margin-right", "20px", "20px", "20px", "20px", "15px"), _buoyTheme.colors["neutralDark"]);
var StyledParagraph = (0, _styledComponents2["default"])(_buoyText.Paragraph).withConfig({
  displayName: "Copyright__StyledParagraph",
  componentId: "sc-47tzgw-3"
})(["", " margin-top:14px;"], (0, _buoyTheme.fontSize)("bodySmall"));

var Copyright = function Copyright(_ref) {
  var links = _ref.links,
      baseUrl = _ref.baseUrl;
  return /*#__PURE__*/_react2["default"].createElement(_react2["default"].Fragment, null, /*#__PURE__*/_react2["default"].createElement(LegalLinks, {
    color: "neutral"
  }, /*#__PURE__*/_react2["default"].createElement(CopyRight, null, "\xA9 Buoy Health, Inc. ", currentYear), links.map(function (link) {
    return /*#__PURE__*/_react2["default"].createElement(StyledLink, {
      key: link.text,
      color: "neutral",
      underline: false,
      href: (0, _buoyConfig.getAbsoluteUrl)(link.href, baseUrl)
    }, link.text === "Terms" ? /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.legal.terms",
      defaultMessage: link.text
    }) : link.text === "Privacy" ? /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.legal.terms",
      defaultMessage: link.text
    }) : link.text === "Cookies" ? /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.legal.cookies",
      defaultMessage: link.text
    }) : link.text === "Editorial" ? /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.legal.editorial",
      defaultMessage: link.text
    }) : "");
  })), /*#__PURE__*/_react2["default"].createElement(StyledParagraph, {
    color: "neutral",
    margin: "0"
  }, /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
    id: "footer.copyright",
    defaultMessage: "The content available on buoyhealth.com is not a substitute for professional medical advice, diagnosis, or treatment."
  })));
};

exports["default"] = Copyright;