"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _buoyText = require("buoy-text");

var _buoyList = require("buoy-list");

var _buoyTheme = require("buoy-theme");

var _buoyConfig = require("buoy-config");

var _dist = require("react-intl/dist");

var _Social = require("./Social");

var _Social2 = _interopRequireDefault(_Social);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Container = _styledComponents2["default"].div.withConfig({
  displayName: "Links__Container",
  componentId: "sc-1f4szja-0"
})(["display:flex;flex-wrap:wrap;min-width:54%;", ";"], (0, _buoyTheme.responsive)("justify-content", "space-between", "space-between", "space-between", "space-between", "normal"));

var Header = (0, _styledComponents2["default"])(_buoyText.Label).withConfig({
  displayName: "Links__Header",
  componentId: "sc-1f4szja-1"
})(["margin:0 0 8px 0;display:block;", ";"], (0, _buoyTheme.responsive)("margin-bottom", "18px", "18px", "18px", "18px", "12px"));

var GroupContainer = _styledComponents2["default"].div.withConfig({
  displayName: "Links__GroupContainer",
  componentId: "sc-1f4szja-2"
})(["width:144px;", ";"], (0, _buoyTheme.responsive)("margin-bottom", "80px", "40px", "40px", "40px", "29px"));

var List = (0, _styledComponents2["default"])(_buoyList.Ul).withConfig({
  displayName: "Links__List",
  componentId: "sc-1f4szja-3"
})(["list-style:none;margin:0;padding:0;"]);
var ListItem = (0, _styledComponents2["default"])(_buoyList.Li).withConfig({
  displayName: "Links__ListItem",
  componentId: "sc-1f4szja-4"
})(["margin-bottom:8px;"]);
var StyledLink = (0, _styledComponents2["default"])(_buoyText.Link).withConfig({
  displayName: "Links__StyledLink",
  componentId: "sc-1f4szja-5"
})(["&:hover{color:", ";}"], _buoyTheme.colors["neutral"]);

var Group = function Group(_ref) {
  var heading = _ref.heading,
      links = _ref.links,
      baseUrl = _ref.baseUrl;
  return /*#__PURE__*/_react2["default"].createElement(GroupContainer, null, /*#__PURE__*/_react2["default"].createElement(Header, {
    color: "neutral"
  }, heading === "Company" ? /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
    id: "footer.header.company",
    defaultMessage: heading
  }) : heading === "Read more" ? /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
    id: "footer.header.readmore",
    defaultMessage: heading
  }) : heading === "Resources" ? /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
    id: "footer.header.resources",
    defaultMessage: heading
  }) : ""), /*#__PURE__*/_react2["default"].createElement(List, null, links.map(function (link) {
    return /*#__PURE__*/_react2["default"].createElement(ListItem, {
      key: link.text
    }, /*#__PURE__*/_react2["default"].createElement(StyledLink, {
      color: "neutralLightest",
      underline: false,
      href: (0, _buoyConfig.getAbsoluteUrl)(link.href, baseUrl)
    }, link.text === "Team" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.team",
      defaultMessage: link.text
    }), link.text === "Writers" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.writers",
      defaultMessage: link.text
    }), link.text === "Careers" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.careers",
      defaultMessage: link.text
    }), link.text === "Press" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.press",
      defaultMessage: link.text
    }), link.text === "Businesses" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.employers",
      defaultMessage: link.text
    }), link.text === "Symptoms A-Z" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.symptomsaz",
      defaultMessage: link.text
    }), link.text === "Diagnoses A-Z" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.diagnosesaz",
      defaultMessage: link.text
    }), link.text === "Blog" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.blog",
      defaultMessage: link.text
    }), link.text === "Support" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.support",
      defaultMessage: link.text
    }), link.text === "Contact" && /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
      id: "footer.links.contact",
      defaultMessage: link.text
    })));
  })));
};

var Links = function Links(_ref2) {
  var content = _ref2.content,
      baseUrl = _ref2.baseUrl;
  return /*#__PURE__*/_react2["default"].createElement(Container, null, content.map(function (_ref3) {
    var heading = _ref3.heading,
        links = _ref3.links;
    return /*#__PURE__*/_react2["default"].createElement(Group, {
      key: heading,
      heading: heading,
      links: links,
      baseUrl: baseUrl
    });
  }), /*#__PURE__*/_react2["default"].createElement(GroupContainer, null, /*#__PURE__*/_react2["default"].createElement(Header, {
    color: "neutral"
  }, /*#__PURE__*/_react2["default"].createElement(_dist.FormattedMessage, {
    id: "footer.header.follow",
    defaultMessage: "Follow Us"
  })), /*#__PURE__*/_react2["default"].createElement(_Social2["default"], null)));
};

exports["default"] = Links;