"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _buoyTheme = require("buoy-theme");

var _buoyConfig = require("buoy-config");

var _Copyright = require("./components/Copyright");

var _Copyright2 = _interopRequireDefault(_Copyright);

var _Links = require("./components/Links");

var _Links2 = _interopRequireDefault(_Links);

var _Trust = require("./components/Trust");

var _Trust2 = _interopRequireDefault(_Trust);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Container = _styledComponents2["default"].div.withConfig({
  displayName: "src__Container",
  componentId: "dk8yj2-0"
})(["background-color:", ";display:flex;justify-content:center;flex-wrap:wrap;", ";"], function (props) {
  return _buoyTheme.colors[props.backgroundColor];
}, (0, _buoyTheme.responsive)("padding", "48px 20px 18px 20px", "48px 20px 18px 20px", "48px 20px 18px 20px", "48px 20px 18px 20px", "38px 16px 18px 16px"));

var InnerContainer = _styledComponents2["default"].div.withConfig({
  displayName: "src__InnerContainer",
  componentId: "dk8yj2-1"
})(["max-width:1200px;margin:0 auto;display:flex;justify-content:space-between;flex-wrap:wrap;width:100%;"]);

var LegalContainer = (0, _styledComponents2["default"])(Container).withConfig({
  displayName: "src__LegalContainer",
  componentId: "dk8yj2-2"
})(["", ";"], (0, _buoyTheme.responsive)("padding", "4px 16px 18px 16px", "4px 16px 18px 16px", "4px 16px 18px 16px", "4px 16px 18px 16px", "4px 16px 18px 16px"));

var FooterWrapper = function FooterWrapper(_ref) {
  var _ref$baseUrl = _ref.baseUrl,
      baseUrl = _ref$baseUrl === void 0 ? _buoyConfig.navConfig.brands["default"].baseUrl : _ref$baseUrl;
  return /*#__PURE__*/_react2["default"].createElement("footer", null, /*#__PURE__*/_react2["default"].createElement(Container, null, /*#__PURE__*/_react2["default"].createElement(InnerContainer, null, /*#__PURE__*/_react2["default"].createElement(_Links2["default"], {
    content: _buoyConfig.footerConfig.groups,
    baseUrl: baseUrl
  }), /*#__PURE__*/_react2["default"].createElement(_Trust2["default"], null))), /*#__PURE__*/_react2["default"].createElement(LegalContainer, {
    backgroundColor: "neutralDarkest"
  }, /*#__PURE__*/_react2["default"].createElement(InnerContainer, null, /*#__PURE__*/_react2["default"].createElement(_Copyright2["default"], {
    links: _buoyConfig.footerConfig.legal,
    baseUrl: baseUrl
  }))));
};

Container.defaultProps = {
  backgroundColor: "neutralDarker"
};
exports["default"] = FooterWrapper;